Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theater
Class Rectangle

    java.lang.Object
      theater.Rectangle

All Implemented Interfaces:
  PixelArea

    public class Rectangle

extends java.lang.Object
implements PixelArea

Die Klasse Rectangle repräsentiert ein rechteckiges Gebiet auf der Bühne. Sie implementiert das Interface PixelArea, so dass mit dieser Klasse Kollisionen von rechteckigen Gebieten mit anderen Gebieten der Bühne überprüft werden können.

Version:
  1.0 (08.09.2009)
Author:
  Dietrich Boles, Universität Oldenburg, Germany

Field Summary
`protected int` | `height` Höhe des Rechteckes
`protected int` | `width` Breite des Rechteckes
`protected int` | `x` x-Koordinate der linken oberen Ecke
`protected int` | `y` y-Koordinate der linken oberen Ecke

Constructor Summary
`Rectangle(int x, int y, int w, int h)` Konstruktor zum Initialisieren eines Rechteckes
`Rectangle(java.awt.Rectangle r)` Konstruktor zum Initialisieren eines Rechteckes mit einem java.awt.Rectangle-Objekt

Method Summary
`boolean` | `contains(int x, int y)` Überprüft, ob der Punkt mit den als Parameter übergebenen Koordinaten innerhalb des aufgerufenen Rechteckes liegt.
`int` | `getHeight()` Liefert die Höhe des Rechteckes.
`int` | `getWidth()` Liefert die Breite des Rechteckes.
`int` | `getX()` Liefert die x-Koordinate der linken oberen Ecke des Rechteckes.
`int` | `getY()` Liefert die y-Koordinate der linken oberen Ecke des Rechteckes.
`boolean` | `intersects(PixelArea area)` Überprüft, ob das aufgerufene Rechteck die als Parameter übergebene PixelArea schneidet.
`boolean` | `isInside(PixelArea area)` Überprüft, ob das aufgerufene Rechteck komplett innerhalb der als Parameter übergebenen PixelArea liegt.
`java.awt.Rectangle` | `toAWTRectangle()` Wandelt das Rechteck um in ein Objekt der Klasse java.awt.Rectangle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### height

    protected int height

  Höhe des Rechteckes

### width

    protected int width

  Breite des Rechteckes

### x

    protected int x

  x-Koordinate der linken oberen Ecke

### y

    protected int y

  y-Koordinate der linken oberen Ecke

Constructor Detail

### Rectangle

    public Rectangle(int x,
                     int y,
                     int w,
                     int h)

  Konstruktor zum Initialisieren eines Rechteckes

  Parameters:
    `x` - x-Koordinate der linken oberen Ecke
    `y` - y-Koordinate der linken oberen Ecke
    `w` - Breite des Rechteckes
    `h` - Höhe des Rechteckes

### Rectangle

    public Rectangle(java.awt.Rectangle r)

  Konstruktor zum Initialisieren eines Rechteckes mit einem java.awt.Rectangle-Objekt

  Parameters:
    `r` - ein bereits existierendes java.awt.Rectangle-Objekt (draf nicht null sein)

Method Detail

### contains

    public boolean contains(int x,
                            int y)

  Überprüft, ob der Punkt mit den als Parameter übergebenen Koordinaten innerhalb des aufgerufenen Rechteckes liegt.

  Specified by:
    `contains` in interface `PixelArea`
  Parameters:
    `x` - x-Koordinate des Punktes
    `y` - y-Koordinate des Punktes
  Returns:
    genau dann true, wenn der Punkt mit den als Parameter übergebenen Koordinaten innerhalb des aufgerufenen Rechteckes liegt
  See Also:
    `PixelArea.contains(int, int)`

### getHeight

    public int getHeight()

  Liefert die Höhe des Rechteckes.

  Returns:
    die Höhe des Rechteckes

### getWidth

    public int getWidth()

  Liefert die Breite des Rechteckes.

  Returns:
    die Breite des Rechteckes

### getX

    public int getX()

  Liefert die x-Koordinate der linken oberen Ecke des Rechteckes.

  Returns:
    die x-Koordinate der linken oberen Ecke des Rechteckes

### getY

    public int getY()

  Liefert die y-Koordinate der linken oberen Ecke des Rechteckes.

  Returns:
    die y-Koordinate der linken oberen Ecke des Rechteckes

### intersects

    public boolean intersects(PixelArea area)

  Überprüft, ob das aufgerufene Rechteck die als Parameter übergebene PixelArea schneidet.

  Specified by:
    `intersects` in interface `PixelArea`
  Parameters:
    `area` - die zu vergleichende PixelArea
  Returns:
    genau dann true, wenn das aufgerufene Rechteck die als Parameter übergebene PixelArea schneidet
  See Also:
    `PixelArea.intersects(theater.PixelArea)`

### isInside

    public boolean isInside(PixelArea area)

  Überprüft, ob das aufgerufene Rechteck komplett innerhalb der als Parameter übergebenen PixelArea liegt.

  Specified by:
    `isInside` in interface `PixelArea`
  Parameters:
    `area` - die zu vergleichende PixelArea
  Returns:
    genau dann true, wenn das aufgerufene Rechteck komplett innerhalb der als Parameter übergebenen PixelArea liegt
  See Also:
    `PixelArea.isInside(theater.PixelArea)`

### toAWTRectangle

    public java.awt.Rectangle toAWTRectangle()

  Wandelt das Rechteck um in ein Objekt der Klasse java.awt.Rectangle

  Returns:
    das in ein java.awt.Rectangle-Objekt umgewandelte Rechteck

Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD